﻿/* CSS For alle nøkkeltall grafene */
/* Finnes på MSStartsiden, MSRegnskap og årsoppgjør temaside og RF Nøkkeltall side */


/* Omsetningswidget */
.revenueWidget .revenueChartLabel {
    z-index: 100;
    top: 41%;
    text-align: center;
}

.widget .revenueDonutChartContainer .k-chart {
    margin-top: 0;
}

.revenueWidget .revenueChartTitle {
    padding-top: 0;
}

.revenueWidget text {
    margin-left: 5px !important;
    text-align: center;
    float: right;
    position: relative;
    right: 0;
}

/* Resultatwidget */
.resultChartContainerLeft,
.resultChartContainerRight {
    float: left;
    width: 48%;
}


/* Widgets hoveddel */

/* Addwidget menyen */
#widgetDashboardHeaderButtonadd {
    background-image: url(../../../shared/content/img/settings_green.svg);
    background-size: contain;
    background-repeat: no-repeat;
    height: 20px;
    width: 20px;
    cursor: pointer;
    position: relative;
    float:right;
    right:5%;
    z-index:2;
}

#widgetDashboardHeader {
    width: 100%;
    position:relative;
    top:2%;
}

#dashboardAddWidgetContainer{
    position:absolute;
    z-index:30;
    left:85% !important;
    top:0 !important;
    width:auto;
    height:auto;
    background-color:#fff;
    -webkit-box-shadow: 0px 0px 20px 0px rgba(163,163,168, 0.75);
    -moz-box-shadow:0px 0px 20px 0px rgba(163,163,168, 0.75);
    box-shadow:0px 0px 20px 0px rgba(163,163,168, 0.75);
    padding:20px;
}

.addWidgetElement{
    width:100%;
    cursor: pointer;
    position:relative;
    padding:2px;
    margin-bottom:15px;
    font-weight:bold;
    margin-right:15px;
    white-space:normal;
}

.addWidgetElement:hover {
    color:#0e3a2e;
}

.removeWidgetElement {
    height: 11px;
    width: 11px;
    background-size: contain;
    background-repeat: no-repeat;
    background-image:url(../../../shared/content/img/close.svg);
    cursor: pointer;
    float: right;
    position:relative;
    top:-31px;
    left:0;
}
/* Slutt: Addwidget menyen */

/* Størrelse tilpasset 4, 6 og 8 widgets */
#widgetMainContainer.widgetSmallSize{
    width:100%;
    margin: 15px auto auto auto;
}

#widgetMainContainer.widgetMediumSize {
    width: 90%;
    margin: 15px auto auto auto;
}

#widgetMainContainer.widgetLargeSize {
    width: 70%;
    margin: 15px auto auto auto;
}

.widgetLargeSize .widget{
    width:46%;
    margin:3% 2% 0 2%;
}

.widgetMediumSize .widget{
    width:29%;
    margin:2% 2% 0 2%;
}

.widgetSmallSize .widget{
    width:23%;
}
/* Slutt: Størrelse tilpasset 4, 6 og 8 widgets */

/* Spesielt for MinSide startsiden */
.msDashboard #widgetMainContainer.widgetLargeSize {
    width: 1360px;
    margin:5px auto auto auto;
}

.msDashboard .widgetLargeSize .widget {
    margin: 1%;
    width: 30%;
    padding: 0;
}

.msDashboard #widgetDashboardHeaderButtonadd {
    right: 0;
    top: 25px;
    position: absolute;
}

.msDashboard .previousWidgetButton {
    left: -21px;
    top: 200px;
}

.msDashboard .nextWidgetButton {
    top: 200px;
}
/* Slutt: Spesielt for MinSide startsiden */

/* De enkelte widgets */
.widgetContainer {
    overflow: hidden;
    width:90%;
    margin:0 5%;
}

.widgetHeader {
    height: 5%;
    width: 100%;
    background-color: #fff;
    margin-top:0.5%;
}

.widget {
    position: relative;
    z-index: 10;
    height: 365px;
    margin: 1%;
    padding: 0.5%;
    float: left;
    overflow: hidden;
    cursor: move;
    background-color: #fff;
    border-radius: 6px;
    border: 1px solid #dbdbdb;
    /*box-shadow: 0 0 20px 0 rgba(163,163,168,.55);*/
}

/* Høyde på selve grafen i widgetene settes standard til 400px i Kendo2016.3 css */
.widget .k-chart {
    height:220px !important;
    margin-top:20px;
}

.widget .liquidityChart.k-chart { /* unntak for Arbeidskapital widget */
    height:270px !important;
}

.widget .fixedCostsExpensesChart.k-chart { /* unntak for Faste kostnader widget */
    height:250px !important;
}

.widget .revenueBarChartContainer .k-chart, /* unntak for alternative Resultat og Omsetning widgeter */
.widget .resultChartAlternative .k-chart{
    height:200px !important;
}
/* Slutt: Høyde på selve grafen i widgetene settes standard til 400px i Kendo2016.3 css */

.widgetChartTitle{
    font-size:21px;
    text-align:center;
    margin:0;
    white-space:normal;
}

.widgetChartSubTitle{
    font-size:15px;
    font-weight:normal;
    white-space:normal;
    text-align:center;
    color:#9c9c9c;
}

.widgetChartSubTitle.secondTitle{ /* Gjelder Dekningsbidrag widgeten */
    color:#333;
}

.widgetChartLink{
    font-weight:normal;
    font-size:13px;
    position:absolute;
    right:15px;
    bottom:13px;
}

.widgetChartLabel{ /* tall inne i smultringene */
    text-align:center;
    font-size:20px;
    position:relative;
    font-weight:normal;
}

/* Forklaringstekster */
.widgetChartLegend{
    font-size:12px;
    font-family: sans-serif;
    color:#787878;
    text-align:center;
    white-space:normal;
    margin-top:10px;
    float:left;
    width:100%;
}

.widgetChartLegend .chartLegendItem,
.widgetChartLegend .revenueChartLegendItem { /* forklaringstekstene og firkantene med farge */
    float:left;
    margin-left:3%;
}

.widgetChartLegend .chartLegendCategory,
.widgetChartLegend .revenueChartLegendCategory{
    display:inline-block;
}

.widgetChartLegend .chartLegendColorBox,
.widgetChartLegend .revenueChartLegendColorBox {
    height: 10px;
    width: 10px;
    display: inline-block; 
    margin-right:5px;
}

.widget text{ /* Gjelder f.eks. Omsetning "Hittil i 2016" og samtidig alle grafskalaene */
    font-size:12px !important;
    font-family: sans-serif;
}

/* Scrolling ved flere widgets */
#widgetMainContainer.km-widget.km-scrollview{
    background:transparent;
    border:none;
}

.previousWidgetButton,
.nextWidgetButton {
    height: 35px;
    width: 20px;
    background-size: contain;
    background-repeat: no-repeat;
    cursor: pointer;
    position:relative;
    top:350px;
    z-index: 2;
}

.previousWidgetButton {
    background-image:url(../../../shared/content/img/Scroll_left.svg);
    float:left;
}

.nextWidgetButton {
    background-image: url(../../../shared/content/img/Scroll_right.svg);
    float:right;
}

.previousWidgetButton:hover,
.nextWidgetButton:hover{
    background-color:#e4e4e4;
    border-radius:6px;
}

.dashboardWidgets .km-pages .km-current-page{
    background:#0e3a2e !important;
}


/* Meny pr widget */
.widgetTopMenu {
    position: absolute;
    right: 3%;
    top: 2%;
    border:0 !important;
}

.widgetHamburgerButton {
    background-image: url(../../../shared/content/img/Prikk_menyMorkegronn.svg);
    background-position:center;
    background-repeat: no-repeat;
    cursor: pointer;
    float:left;
    position:relative;
    height: 19px;
    width: 19px;
    top:5px;
}

.widgetLargeSize .widgetHamburgerButton{
    top:6px;
}

.widgetTopMenu .k-state-hover,
.widgetTopMenu .k-state-hover:hover{
    background-image:none, linear-gradient(to bottom, #fff, #fff 100%) !important;
}

.widgetTopMenu .k-i-arrow-s{
    display:none;
}

.widgetTopMenu .k-i-arrow-60-down{
    display:none;
}

.widgetTopMenu.k-menu .k-item>.k-link{
    padding:0 !important;
}

.widgetTopMenu.k-menu .k-item{
    border:0 !important;
}

/* Undermenypunkter */
.widgetMenuButtonContainer { /* en undermenylinje*/
    margin-top: 5%;
    margin-bottom: 5%;
    padding-left: 5%;
    width: 130px;
    cursor: pointer;
    float:left;
    clear:left;
}

.widgetButtonMenu {
    border: 0 !important;
}

.widgetButton { /* ikoner inne i undermenyen */
    height: 12px;
    width: 20px;
    background-size: contain;
    background-repeat: no-repeat;
    cursor: pointer;
    overflow: visible;
    position: relative;
    float:left;
    margin-top:3px;
}

.widgetMenuButtonText {
    float: left;
    width: 80%;
    font-size:13px;
    font-weight:bold;
}

.widgetMenuButtonText:hover {
    color:#0e3a2e;
}

/* Buttons på hver widget */
.widgetSelectionButton {
    background-image:url(../../../shared/content/img/Eye_grey.svg);
}

.widgetReloadButton {
    background-image:url(../../../shared/content/img/refresh.svg);
}

.widgetRemoveButton {
    background-image:url(../../../shared/content/img/close.svg);
}

.widgetInfoButton {
    background-image:url(../../../shared/content/img/info.svg);
}

.widgetCloneButton {
    background-image:url(../../../shared/content/img/Kopier.svg);
}

/* Slutt Meny pr widget */


